﻿@using StarterProjectV2.Models
@*@model StarterProjectV2.ViewModels.OwnersInfoFamilyNomineeAttFilesView*@
@model StarterProjectV2.ViewModels.UploadPictureJSONView

@{
    ViewBag.Title = "Picture Upload";
}
@section HEADERJS{
    <script type="text/javascript" src="https://cdn.jsdelivr.net/jquery/1/jquery.min.js"></script>
}
@section FOOTERJS{
    <script src="~/Content/vendors/js/coreui.min.js"></script>
    <script src="~/Content/vendors/js/coreui.min.js"></script>
    <script src="https://code.jquery.com/jquery-1.10.2.js"></script>
    <script type="text/javascript" src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>
    <link href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" rel="stylesheet">

}
<div class="form-group row mb-3">
    <label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Picture of Spouse for Verification</label>
    <div class="col-sm-3 col-lg-3 col-md-3">
    
        <input type="file" class="custom-file-input" id="upload-file-picture" name="file" id="file">
        <label class="custom-file-label" for="upload-file" id="upload-file-picture-label">Choose file</label>

        <button type="submit" value="Upload" class="btn btn-success uploadSpousePictureButton" onclick="retrievePicture()">Upload Spouse's Picture</button>
    </div>
</div>

<script>

    $('#upload-file-picture').change(function (e) {

        var filename = $('#upload-file-picture')[0].files[0].name;
        var filetype = $("#upload-file-picture")[0].files[0].type;
        var filesize = $("#upload-file-picture")[0].files[0].size;
        $("#upload-file-picture-label").text(filename);
    });
</script>












@*<script>
    function retrievePicture() {
        var myModel = {
            //SpouseName: $('#spouseName').val(),
            SpousePictureFile: $('#upload-file-picture')[0].files[0]
        };
        
        $.ajax({
            context: this,
            type: 'json',
            url: '../OwnersInfo/UploadPictureJSON/',
            data: myModel.serialize(),
            //type: this.method,
            //data: $(this).serialize(),
            success: function(result) {
                if (result.success) {
                    layout.showNotification("Save Successful", "success");
                    layout.showLoadingScreen(false);
            } else {
                layout.showNotification("Error Saving Record", "error");
                    layout.showLoadingScreen(false);
            }
    }
        });
        alert("below");
    }
</script>*@

